Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 30 Jul 2014, 11:37
All times are UTC - 4
 Forum index » Taking the Puppy out for a walk » Puppy Power
A Puppy as a UTILITY Program
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
kb9ezl

Joined: 04 Feb 2013
Posts: 4

PostPosted: Fri 15 Feb 2013, 23:18    Post subject:  A Puppy as a UTILITY Program
Subject description: Pros and Cons of some of the large OSs
 

I had a interesting problem with "Zenwalk" server that refused to
properly register the higher resolution settings on a ATI Rage
128 video card. The program would not list anything higher than
the 800x600 resolution even though the card would read as high
as 1600+ in several Puppys. Of course that resolution is way too
high if you value your monitor. The Lucid Puppy will default
to that setting but when the card is Probed it defaults to
the usual 1924x768 resolution which is ok.

Trying to set higher resolutions on Zenwalk by editing the
'Xorg.conf" file in the X11 directory was not working. That was
probably due to security reasons even at ADM level. I tried the
editing with "Gleany" with no success. I then decided to try
for a backdoor using Lucid Puppy. I knew I was getting results
when the program would crash when posting the hardware settings.
I finally hit on the right setting after a few tries.

It's hard to beat a Puppy when you are having problems getting
a system up and running! There are several issues that I am
working on with Zenwalk. Don't get me wrong the program has a
lot of features and is a solid Linux program and is far more
reliable than the Windows OSs. One thing that I am having an
issue with and concerning a lot of the large Linux releases
is that they do not support the encryped DVD playback of disks.
Guess what operaqting system does? The Puppys do! Especailly
Lucid and Wary Puppy versions. Lucid uses "Xine" and Wary uses
the "Ogle" player. Of 5 versions I know that do support the
DVD format, is listed below:

Wary Puppy
Lucid Puppy
Precise Puppy
Mac Puppy
Windows Puppy (based on Lucid)

If you want a fast little OS for running on outdated equipment
use the Wary Puppy. I have an old 256 M. 300 Mhz machine and
Wary runs good on it. The newer versions will not load. I've
had issues with Ubuntu and if I remember right, it had problems
with DVDs also. The system is slower probably because of the
overhead it has, and that is why I quit using it.

It's hard to beat the Pups especailly with all of the features
they have and the speed at which they execute them! A job well
done by the developers of the Puppys!

--Dennis
Back to top
View user's profile Send private message 
sickgut


Joined: 23 Mar 2010
Posts: 1157
Location: Tasmania, Australia in the mountains.

PostPosted: Mon 18 Feb 2013, 01:50    Post subject:  

All the OSes that dont support playback of encrypted DVDs will play them after installing the correct libdvdcss2 package. It doesnt really matter what player you use if you install this package.

Note that it is actually technically a bit of a legal problem to include the codecs to play DVD and MP3 etc as default in a linux OS.

Ubuntu cannot and neither can Debian/ Fedora/ CentOS/ Mandrivia/ Slackware etc, because including them in the OS is with no one actually paying for them is a little bit of a legal hotspot. These distros cannot include DVD playback as standard or they will be sued.

Note that its actually illegal in some countries to download the libdvdcss2 package and use it from the debian multimedia repository.

And so, the debian multimedia repository is run privately by some individual or team that doesnt really have anything to do with official debian.

If Puppy was to get super popular overnight and there was a million people using it, then it would grab the attention of the companies that own the rights to these codecs and Puppy would be sued or ordered to remove such codecs.

There is a legal way of doing it and that is to not include the codecs and have a site setup where you can purchase these codecs. The Raspberry Pi was popular enough or grabbed the attention of the media enough to be forced to sell these codecs via their website MPEG2 or whatever and they didnt offer them for free in their repository.

As far as stability goes, you cannot go wrong with a tier one OS. Debian is tier one, Puppy is tier one if its compiled all from scratch (Lucid Puppy is not a tier one OS, infact its packages are from a 2nd tier OS, and this makes it a 3rd tier OS), Ubuntu is a 2nd tier OS, started life as a Debian based OS and still is but they introduce different things into it.

Zenwalk is not a tier one OS, you will not have the same stability as you would with a tier one OS like Slackware.

Any Linux that is "based on" another OS is a 2nd tier OS and the worst of this is when the OS is not only "based" on something else, but is also not fully compatible with the mother OS anymore due to changes made by its creators to "improve" it or "tweak it" or "make it better" and you can no longer install the official packages from the parent OS.

An example here is Debian and Ubuntu. Ubuntu is based on Debian but lost compatibility with Debian after so many changes where made that you simple cant run debian stuff on Ubuntu, and you absolutely need to use the Ubuntu package management and all these packages have been modified. And if you get caught with a 2nd tier OS that lost compatibility with its parent OS then you have to wait on the community of such 2nd tier OS to release their own packages. This means you cant install as much stuff on the 2nd tier OS as the mother OS, with the exception of a really popular 2nd tier OS like Ubuntu that has more packages for it than Debian as its more popular than debian and has more staff working with it.

The same is true with Zenwalk and Slackware. Zenwalk isnt as popular as slackware and so there will not be the same kind of support you get from a 1st tier OS nor the same amount of packages.

If all the big Linux distros included the codecs for free with their standard install, the would all be sued very quickly and maybe not exist anymore.

Just hope that Puppy doesnt get huge popularity because it will be forced to remove the non free codecs.
Back to top
View user's profile Send private message Visit poster's website 
tallboy


Joined: 21 Sep 2010
Posts: 440
Location: Oslo, Norway

PostPosted: Mon 18 Feb 2013, 13:37    Post subject:  

Hi kb9ezl.
I have had to install a driver pack 'Xorg High' (Lucid_528) to make some card/machine/resolution combos work, and after that is installed, choose one of the ati drivers using xorgwizard. (Ctrl-alt-backspace to get a console window, then xorgwizard, enter). Hope this can help you.

tallboy

_________________
True freedom is a live Puppy on a multisession CD/DVD.
Back to top
View user's profile Send private message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3956
Location: Kiel,Germany

PostPosted: Tue 26 Feb 2013, 07:29    Post subject:    

sickgut wrote:
If Puppy was to get super popular overnight and there was a million people using it, then it would grab the attention of the companies that own the rights to these codecs and Puppy would be sued or ordered to remove such codecs.


I guess Puppy will gladly join an agreement and be able to pay a bonus to the developers of the 1500-2000 binaries + the libraries it normally ships with then if so millions of users ... Cool
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Taking the Puppy out for a walk » Puppy Power
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0600s ][ Queries: 12 (0.0039s) ][ GZIP on ]